- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# OpenFileInfo Struct Reference
[RPMBUILD.]

`#include <rpmspec.h>`

## Data Fields
const char * | fileName
FD_t | fd
int | lineNum
char | readBuf [BUFSIZ]
char * | readPtr
OpenFileInfo * | next

## Detailed Description

Definition at line 52 of file rpmspec.h.

## Field Documentation

const char* OpenFileInfo::fileName

Definition at line 53 of file rpmspec.h.

Referenced by closeSpec(), forceIncludeFile(), freeSpec(), parseSpec(), and readLine().

FD_t OpenFileInfo::fd

Definition at line 54 of file rpmspec.h.

Referenced by closeSpec(), and readLine().

int OpenFileInfo::lineNum

Definition at line 55 of file rpmspec.h.

Referenced by readLine().

char OpenFileInfo::readBuf[BUFSIZ]

Definition at line 56 of file rpmspec.h.

Referenced by readLine().

char* OpenFileInfo::readPtr

Definition at line 58 of file rpmspec.h.

Referenced by copyNextLine(), and readLine().

struct OpenFileInfo* OpenFileInfo::next`[read]`

Definition at line 60 of file rpmspec.h.

Referenced by closeSpec(), forceIncludeFile(), freeSpec(), and readLine().

The documentation for this struct was generated from the following file:

- build/rpmspec.h